hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s(3)

NAME
hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s

SYNOPSIS

#include <diff.h>

  Data Fields
hwloc_topology_diff_obj_attr_type_t type
hwloc_uint64_t index
hwloc_uint64_t oldvalue
hwloc_uint64_t newvalue

Detailed Description

Integer attribute modification with an optional index.

Field Documentation

  hwloc_uint64_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::index

  hwloc_uint64_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::newvalue

  hwloc_uint64_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::oldvalue

  hwloc_topology_diff_obj_attr_type_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::type

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.